const OracleService = require('../service/OracleService');

class adqVerifItemVenda {
  constructor() {
    this.GET_ADQVERIFITEMVENDA = `
        SELECT CDFILIAL
          FROM ITEMVENDA
         WHERE CDFILIAL = :P_CDFILIAL
           AND CDCAIXA = :P_CDCAIXA
           AND NRSEQVENDA = :P_NRSEQVENDA
           AND NRSEQUITVEND = :P_NRSEQUITVEND
    `;
  }
  get(params) {
    return OracleService.connect().then((sql) => {
      return OracleService.execute(this.GET_ADQVERIFITEMVENDA, params);
    });
  }
}

module.exports = new adqVerifItemVenda();
