
const OracleService = require('../service/OracleService')

class assMinDtUltAtuExtModel {
    constructor() {
        this.GET_ASSMINDTULTATUEXT = `
            DTULTATUEXT) AS DTULTATUEXT
            FROM
               EXTRATOCONS
            WHERE
                 (DTULTATUEXT > :P_DTULTATUEXT) OR (DTULTATUEXT IS NULL AND SYSDATE > :P_DTULTATUEXT)
        `
    }
    get(params) {
        return OracleService.connect().then(sql => {
            return OracleService.execute(this.GET_ASSMINDTULTATUEXT, params);
        })
    }
}  

module.exports = new assMinDtUltAtuExtModel();