const OracleService = require('../service/OracleService');

class infoSystemModel {
  constructor() {
    /**
    * Verifica a exitência da tabela de Portal
    */
    this.GET_TABLE_PORTAL = `
      SELECT * FROM dba_tables where table_name = 'PORTAL'
    `;

    this.GET_FILIAL = `
      SELECT CDFILIAL AS id FROM COMANDAVEN WHERE ROWNUM = 1
    `;
  }

  geTablePortal() {
    return OracleService.connect().then(() => {
      return OracleService.execute(this.GET_TABLE_PORTAL);
    });
  }

  getFilial() {
    return OracleService.connect().then(() => {
      return OracleService.execute(this.GET_FILIAL);
    });
  }
}

module.exports = new infoSystemModel();
