const OracleService = require('../service/OracleService');

class acmUpSaldoModel {
  constructor() {
    this.GET_DASHBOARDFILIAIS = `
    SELECT F.CDFILIAL, F.NMFILIAL, F.NRORG,
            (SELECT COUNT(1)
            FROM CAIXA C
            WHERE C.CDFILIAL = F.CDFILIAL
              AND C.IDTPEMISSAOFOS = 'SAT') AS SAT
      FROM FILIAL F
     WHERE UPPER(F.NMFILIAL) NOT LIKE '%INAT%'
  GROUP BY F.CDFILIAL, F.NMFILIAL, F.NRORG
  ORDER BY F.CDFILIAL
    `;
  }

  get() {
    return OracleService.connect().then(() => {
      return OracleService.execute(this.GET_DASHBOARDFILIAIS);
    });
  }

  fetchAssoc() {
    return OracleService.connect().then(() => {
      return OracleService.fetchAssoc(this.GET_DASHBOARDFILIAIS);
    });
  }
}

module.exports = new acmUpSaldoModel();
