const OracleService = require('../service/OracleService');

class adqQtdeVendasOracleModel {
  constructor() {
    this.GET_ADQQTDEVENDASORACLE = `
            SELECT COUNT(*) AS QTVENDASORACLE, SUM(VRTOTVENDA) AS VRTOTORACLE
              FROM VENDA
             WHERE CDFILIAL    = :P_CDFILIAL
               AND CDCAIXA     = :P_CDCAIXA
               AND DTENTRVENDA = TIMESTAMP :P_DTENTRVENDA
        `;
  }
  get(params) {
    return OracleService.connect().then((sql) => {
      return OracleService.execute(this.GET_ADQQTDEVENDASORACLE, params);
    });
  }
}

module.exports = new adqQtdeVendasOracleModel();
