const UpdateSystemNotification = require('./telegram/UpdateSystemNotification');
const TemplateHandler = require('./TemplateHandler');

class TemplateManager {
  getMessage(type, info){
    switch(type) {
      case 'telegram-update-system':
        return UpdateSystemNotification.format(info);
      default: 
        return new TemplateHandler().format(info); 
    }
  }
}

module.exports = new TemplateManager();