#!/bin/sh
# Purpose: Shell script to create assistant server container SaaS/Hosting model
# Usage: ./assistant-create.sh DBNAME NRORG
# --
# Author: Carlos Santos <carlos.santos@teknisa.com>, Daniel Santos <daniel.santos@teknisa.com>
# Last updated: 27/Feb/2023
# --------------------------------------------------------------------------------

docker run -d \
--name $1 \
-h odhen-assistant \
-p $2:$2 \
-v /storage_odhen/mobile_u01/_data:/u01 \
-v /storage_odhen/mobile_htdocs/_data:/var/www \
-v /storage_odhen/mobile_tmp/_data:/tmp \
--restart=always \
-it dockerhub.teknisa.com/odhen-assistant \
./odhen-assistant/master/start-master.sh $1 $2
